import { h } from "@stencil/core";
/**
 *
 *
 * @swedishName Sidhuvud-notifikationsindikator
 */
export class HeaderNotification {
    constructor() {
        this.afNotificationAmount = undefined;
    }
    render() {
        return (h("div", { key: '550ca6a7db32322a4f141b30ecdeb5bd5fba9885', class: "digi-header-notification" }, this.afNotificationAmount > 0 && (h("span", { key: 'bf072f1ff0db43568159abcf7ad1692a0d57b20e', class: "digi-header-notification__number" }, this.afNotificationAmount < 100
            ? this.afNotificationAmount
            : '+99')), h("slot", { key: 'cff400f7310c0345ede4bb35371485c7378145a8' })));
    }
    static get is() { return "digi-header-notification"; }
    static get encapsulation() { return "scoped"; }
    static get originalStyleUrls() {
        return {
            "$": ["header-notification.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["header-notification.css"]
        };
    }
    static get properties() {
        return {
            "afNotificationAmount": {
                "type": "number",
                "mutable": false,
                "complexType": {
                    "original": "number",
                    "resolved": "number",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "en",
                            "text": "The number content inside the notification"
                        }],
                    "text": "Numret som ska skrivas ut som inneh\u00E5ll"
                },
                "getter": false,
                "setter": false,
                "attribute": "af-notification-amount",
                "reflect": false
            }
        };
    }
}
